Bug 55323 - Error messages while booting and rebooting/halting
Error messages while booting and rebooting/halting
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-10-29 13:25 EST by Jordan Breeding
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 15:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jordan Breeding 2001-10-29 13:25:07 EST
Description of Problem:

  While booting up the swapon program reports the following errors:

swapon: /dev/hda2: Device or resource busy
Enabling swap:          [ok]

  Swap does get enabled correctly but while using the old mount-2.11f and
initscripts from RedHat 7.1 the errors never happend, this error has only
been visible since the upgrade to Redhat 7.2.  Another set of erors from
the mount/umount programs of the mount-2.11g package are seen during
reboot/halting they are as follows:

Turning off quota:    [ok]
Unmounting file systems:  umount2: Invalid argument
umount2: Invalid arugment
umount: /dev/hda11: not mounted
umount: /export0: Illegal seek
umount2: Device or resource busy
umount: /dev: Device or resource busy

Remounting remaining filesystems (if any) readonly
Halting system...

  Here is the output of `mount` while booted up:

== OUTPUT `mount` ==
/dev/hda5 on / type ext3 (rw,data=journal)
proc on /proc type proc (rw)
devfs on /dev type devfs (rw)
/dev/hda1 on /boot type ext3 (rw,data=journal)
/dev/hda11 on /export0 type ext3 (rw,data=journal)
/dev/hda10 on /home type ext3 (rw,data=journal)
/dev/hda7 on /opt type ext3 (rw,data=journal)
/dev/hda8 on /tmp type ext3 (rw,data=journal)
/dev/hda6 on /var type ext3 (rw,data=journal)
/dev/hda9 on /root type ext3 (rw,data=journal)
/export0/downloads on /downloads type bind (rw,bind)
/export0 on /export type bind (rw,bind)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
automount(pid804) on /misc type autofs
== OUTPUT `mount` ==

  These are not necessarily horrible errors since the system still seems to
function perfectly but they are quite annoying, I have seen the same set of
errors on a freshly installed RedHat 7.2 Beta (Roswell2) system at my place
of business as well.  What is causing this to happen the mount package? 
Broken initscripts?  I thought it might be the actual mount-2.11g package
though since it seems the binary programs themselves are outputing most if
not all of the error messages.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Run RedHat 7.2 (Enigma) or RedHat 7.2 Beta (Roswell2)
2. Reboot the system or halt the system
3. Boot the system

Actual Results:
Errors output during both reboot/halt and boot up.

Expected Results:
Clean reboot, halt and boot up expected.

Additional Information:
This machine runs SMP with a highmem kernel, dual 1 GHz Pentium III
processors and 1 GB of RAM.
Comment 1 Bernhard Rosenkraenzer 2001-10-30 06:33:54 EST
Almost certainly not a problem with userland mount. Reassigning.
Comment 2 Jordan Breeding 2001-10-30 12:49:24 EST
While messing around trying to fix this I figured out that in
/etc/rc.d/rc.sysinit the second time that swapon gets called it used to be
called as `swapon -a > /dev/null 2>&1` and now it was `swapon -a`, I changed it
back to the old line and that fixed my errors on boot up.  To fix the errors on
reboot/shutdown I did a lot of work to make a hybrid of the old initscripts
/etc/init.d/halt and the new /etc/init.d/halt, which still does the same work as
the new one but in the order that the old initscripts did things and now all of
those messages are gone as well.  If you would like to see a diff of each of
them I can provide it, thanks.
Comment 3 Bill Nottingham 2005-09-29 15:18:55 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

This should be more or less fixed, as we only call swapon once in current
releases, such as Fedora Core 4.

Note You need to log in before you can comment on or make changes to this bug.